### File

`packages/base/src/lib/eui-models/eui-service.model.ts`

### Implements

`EuiServiceModel`

### Index

###### Properties
onStateChange
###### Methods
Abstract getState Abstract getState Abstract getState Abstract getState Abstract init initEuiService Abstract updateState

### Properties

onStateChange
Type : `Subject<T>`
Default value : `new Subject<T>()`

### Methods

Abstract getState
`getState()`
Type parameters : K
Returns : `Observable<T>`

Abstract getState
`getState(mapFn?: (state?: T) => void)`
Type parameters : K
Parameters :
Name | Type | Optional
mapFn | `function` | Yes
Returns : `Observable<K>`

Abstract getState
`getState(key?: A)`
Type parameters : A
Parameters :
Name | Type | Optional
key | `A` | Yes
Returns : `Observable<unknown>`

Abstract getState
`getState(keyOrMapFn?: unknown | string)`
Type parameters : K
Parameters :
Name | Type | Optional
keyOrMapFn | `unknown | string` | Yes
Returns : `Observable<K>`

Abstract init
`init(t?: T)`
Parameters :
Name | Type | Optional
t | `T` | Yes
Returns : `Observable<EuiServiceStatus>`

initEuiService
`initEuiService()`
Returns : `void`

Abstract updateState
`updateState(t: DeepPartial<T>)`
Parameters :
Name | Type | Optional
t | `DeepPartial<T>` | No
Returns : `void`

# results matching ""

# No results matching ""